#include <SDL2/SDL.h>

#include <iostream>

int main(int argc, char* argv[])
{
    int width, height;

    if (argc == 1)
    {
        width = height = 300;
    }
    else
    {
        width = atoi(argv[1]);
        height = atoi(argv[2]);
    }

    if (SDL_Init(SDL_INIT_VIDEO) < 0)
    {
        std::cout << "Video Init Error." << std::endl;
    }

    SDL_Window* window = SDL_CreateWindow("Slime Mold Simulator", SDL_WINDOWPOS_CENTERED-width/2, SDL_WINDOWPOS_CENTERED-height/2, width, height, SDL_WINDOW_SHOWN);

    SDL_Renderer* renderer = SDL_CreateRenderer(window, -1, SDL_RENDERER_ACCELERATED);

    SDL_SetRenderDrawColor(renderer, 0x00, 0x00, 0x00, 0x00);

    SDL_RenderClear(renderer);

    SDL_SetRenderDrawColor(renderer, 0xFF, 0xFF, 0xFF, 0xFF);

    SDL_Rect half_screen = (SDL_Rect){width/4, height/4, width/2, height/2};

    SDL_RenderFillRect(renderer, &half_screen);

    SDL_RenderPresent(renderer);

    SDL_Delay(2000);

    SDL_DestroyWindow(window);

    SDL_Quit();

    return 0;
}